util.hpp File Reference
Internal Functionality

Internal misc utilities. More...

`#include <typeinfo>`
`#include <string>`
`#include <cxxabi.h>`
`#include <cstdlib>`

Go to the source code of this file.

## Functions

std::string | cereal::util::demangle (std::string mangledName)
| Demangles the type encoded in a string.
template<class T >
std::string | cereal::util::demangledName ()
| Gets the demangled name of a type.

## Detailed Description

Internal misc utilities.